Subject: [PATCH 2/2] mt_ventoux: support for TeeJet Mt.Ventoux board

From: [email-masked] (Igor Grinberg)
Date: Tue, 03 Jan 2012 11:48:06 +0200

Hi Ilya,

On 12/28/11 01:02, Ilya Yanok wrote:
> On 27.12.2011 11:56, Igor Grinberg wrote:
>>> +/*
>>> + * use fake regulator for vdds_dsi as we can't find this pin inside
>>> + * AM3517 datasheet.
>>> + */
>>> +static struct regulator_consumer_supply mt_ventoux_vdds_dsi_supply[] = {
>>> +	REGULATOR_SUPPLY("vdds_dsi", "omapdss"),
>>> +	REGULATOR_SUPPLY("vdds_dsi", "omapdss_dsi.0"),
>>> +};
>>
>> Although the TRM states that there is a vdds_dsi signal,
>> it looks, from the datasheet, that VDDSHV is used to power the DSS.
>> Either way, it can't be switched off, I think...
>> Therefore, depending on your board wiring, you can leave it as fixed
>> regulator or bind to a supply on TPS65023.
> 
> I will forward this info to hardware guys and ask about wiring. For now
> I will leave it as is. Thanks for this information it turned to be some
> kind of mystery. It would be great if you could give some pointer to the
> datasheet regarding VDDSHV and DSS.

Well, there is no direct pointer to that information, but
I've found these facts:
1) the "Ball Characteristics" tables state that the DSS related pins
   (and also many others) are powered by the VDDSHV.
2) the estimated power consumption of VDDSHV is the largest after the
   VDD_CORE, which is typical for DSS, but it is also one of the largest
   power domains, so I guess this cannot be a valid argument ;-)
3) On the "Voltage domains" diagram, only the VDD_CORE is exposed and
   DSS is not listed in it, but there are other domains which are not
   exposed... (this only can exclude the DSS from VDD_CORE, but not
   absolutely, as datasheets can have mistakes or just not give that piece
   of information).

Still, it is a guess and not verified information.

[...]

-- 
Regards,
Igor.